Jump to content

Please read the Forum Rules before posting.

Photo
- - - - -

Converting PC module to e-Sword X: NET First edition


  • Please log in to reply
22 replies to this topic

#1 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 24 September 2020 - 12:04 PM

Hello folks...


I recently purchased e-Sword X (current version reporting as Version 7.0 (26)) to be a "backup" to my other Bible study software which has been having some issues since a recent update the manufacturer of the software completed to it - I assume they will eventually fix it. I am on a 2019 model iMac i5 with 40GB of RAM and running up to date Catalina.

I have been using the NET (Bible.org) for years, even have a commercial use license for it, which is a blessing in our modern era. For many reasons, I appreciate it. In my particular personal experience, I feel that it is an effective tool for communicating to groups of people or for those folks who take a more "leisurely" approach to pursuing the Greek. As a result, I use it very often - essentially daily.

Since the noteless NET (first edition at least, I know essentially nothing about this second edition stuff) is freely distributable (most of the folks who I minister to couldn't care less about the translators notes, it is all they can handle to read the Word without any other "stuff"), and has been included in the PC e-Sword universe for freely available download, I assumed that I would see the exact same type of module for the Mac side of things. However, amazingly, I am not seeing that at all. I cannot find a pre-prepared module with the NET First Edition available (for Mac users) anywhere - with or without notes - even for commercial purchase.

So, I did some research and learned of the PC to Mac converter. Since I have an older Windows laptop and the NET noteless edition resides on the e-Sword on that laptop, I went through the motions of preparing a module myself. I have done the process 12 times now and it always goes very fine, though it does take some time. In the end I am provided with a 23 mb .bbli file. In fact, the exact file name the convertor creates is "netbible_ref.bbli". I copy it to a flash drive and then get it onboard my iMac. I go through the process of importing the file (File\Resources\Import, selecting the bbli file showing there on my dekstop). e-Sword X acts like all is fine, the import completes without an error, the dialog vanishes and then DELETES (or moves?) the original .bbli file I placed on the desktop of my iMac when I copied it from the flash drive.

Fine. So, I close e-Sword X and then reopen, hit the Bibles dropdown at the top and do not see it. You can see a screenshot of my Bibles dropdown attached if it interests you. So, I reboot the iMac, same result - it does not appear in the list. I recopy the file from the flash drive to the desktop and try the process again, same exact result: it appears to go smoothly and without trouble but then the Bible does not appear in the dropdown list. SO, I try to import it as a user file (Files\User Files\Import) with the same result.

Therefore, I recreate the conversion on the PC and go through this all again. Same result. You know what Einstein said about insanity, don't you?  :)

I need help. Does anyone have any experience with this sort of thing? I sent a support email to the folks at e-Sword X (that was last week) and have heard zero from them regarding this.

I need to get the first edition of the NET translation going here or I am going to have to move to another backup option. Passages of Scripture are vital to my ambassadorship of Christ, I really need to try to get this going. Perhaps you can help?

Thank you for your time and have a wonderful day...

 



#2 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 24 September 2020 - 02:26 PM

Hi folks... I received an email from Rick regarding this issue, and he believes it is because I am trying to use a "premium" module. I was not aware of this as it was freely available here on biblesupport.com. HOWEVER, might I ask if any of you know where I can get the NET First edition that might be converted to e-Sword X? I have this one lined up:

 

http://www.biblesupp.../864-net-bible/

 

 

But fear that I must not understand and that it is a premium module.

I am now second guessing just about everything. Hahahaha...

 

Thanks for your help, guidance, etc. I don't mind doing the conversion, I am simply looking for a FREE NET First Edition module to convert to e-Sword X OR would even be willing to pay a reasonable fee for a first edition version for e-Sword X - without notes is fine with me. I don't usually reference the notes - especially when sharing passages with others.

 

Thank you again...


Edited by capecove, 24 September 2020 - 03:46 PM.


#3 APsit190

APsit190

    e-Sword Tools Developer

  • Members (T)
  • PipPipPipPipPip
  • 2,180 posts
  • LocationThe Land of the Long White Cloud (AKA New Zealand)
Offline

Posted 24 September 2020 - 04:09 PM

Hi folks... I received an email from Rick regarding this issue, and he believes it is because I am trying to use a "premium" module. I was not aware of this as it was freely available here on biblesupport.com. HOWEVER, might I ask if any of you know where I can get the NET First edition that might be converted to e-Sword X? I have this one lined up:

 

http://www.biblesupp.../864-net-bible/

 

 

But fear that I must not understand and that it is a premium module.

I am now second guessing just about everything. Hahahaha...

 

Thanks for your help, guidance, etc. I don't mind doing the conversion, I am simply looking for a FREE NET First Edition module to convert to e-Sword X OR would even be willing to pay a reasonable fee for a first edition version for e-Sword X - without notes is fine with me. I don't usually reference the notes - especially when sharing passages with others.

 

Thank you again...

If you message me your email address, then I'll convert the "free" (the one with no notes) edition of the NET Bible for you, and send it to you.

 

Blessings,

Autograph.png

Edited by APsit190, 24 September 2020 - 04:11 PM.


#4 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 29 September 2020 - 06:44 AM

Good morning folks!

In spite of the prior kind offer by Stephen to help me directly, I am still stuck here. He did convert a NET noteless module for me, and I did the routine import process ti the file he sent along but it is not appearing in e-Sword X and under File\Resource\Delete... it doesn't show the NET module. It does, however, display the other modules I have added via File\Resources\Download...

 

Let me ask a silly question here... I want to use the First edition of the NET, does e-Sword X not allow that capability at all since we are now up to the 2.x edition? In other words, with other translations out there is there a forced pathway to update to the newest possible version? Is this a case where the e-Sword X software cannot work with an older module because it is aware that there is a newer version?

 

Another question... Is anyone aware of the NET First edition working within e-Sword X?

 

Thank you again for your time, and Stephen (APSit190), thank you for your attempt to directly assist! Have a great day...





 

 

 



#5 JPG

JPG

    Bug Hunter

  • Moderators
  • 1,075 posts
Online

Posted 29 September 2020 - 09:42 AM

You can purchase directly from here https://store.bible....tore/product/70



#6 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 29 September 2020 - 12:37 PM

Thank you JPG for this suggestion... :)

I - sadly - must've done a terrible job communicating this initially so I will pass along the fact that the link you sent to me APPEARS TO ME to be for the SECOND EDITION of the NET and I am trying to find the FIRST EDITION. If I am being a blockhead here and this is - somehow - the first edition yet I am unable to ascertain this, please let me know?

 

Thank you for your attempt and I am holding out hope you are right on the mark and I am the one confused about SECOND EDITION vs. FIRST EDITION.

 

Have a great day!

 

Jason

 

 

 

You can purchase directly from here https://store.bible....tore/product/70



#7 JPG

JPG

    Bug Hunter

  • Moderators
  • 1,075 posts
Online

Posted 29 September 2020 - 12:58 PM

I should have looked more closely, at your post and the site.



#8 Tj Higgins

Tj Higgins

    e-Sword Fanatic

  • Members
  • PipPipPipPipPip
  • 768 posts
Offline

Posted 29 September 2020 - 01:33 PM

Thank you JPG for this suggestion... :)

I - sadly - must've done a terrible job communicating this initially so I will pass along the fact that the link you sent to me APPEARS TO ME to be for the SECOND EDITION of the NET and I am trying to find the FIRST EDITION. If I am being a blockhead here and this is - somehow - the first edition yet I am unable to ascertain this, please let me know?

 

Thank you for your attempt and I am holding out hope you are right on the mark and I am the one confused about SECOND EDITION vs. FIRST EDITION.

 

Have a great day!

 

Jason

 

If you had/have e-Sword X running when you did the import of the module, try closing the program and then restarting it



#9 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 29 September 2020 - 02:02 PM

Well, I was holding out hope that I was the one all askew. Oh well... Thanks again for trying!

Anyone else, perhaps?
 

I should have looked more closely, at your post and the site.

 

Have a splendid day folks...

 

Jason



#10 capecove

capecove

    Liking e-Sword

  • Members
  • PipPip
  • 15 posts
Offline

Posted 29 September 2020 - 02:04 PM

Hi TJ, thanks for the suggestion. Sadly, I have been trying this for two weeks and have gone as far as not only closing and reopening e-Sword X, but restarting my iMac without success.

 

I am happy to hear any and all suggestions. I am beginning to feel that I must be overlooking something incredibly obvious or there is something not quite "right" about e-Sword X.

 

Jason

 

If you had/have e-Sword X running when you did the import of the module, try closing the program and then restarting it






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users




Similar Topics



Latest Blogs